JobControllerGetJobRunsForJob Method |
GET /Job/GetJobRunsForJob/{id}
Gets the job runs associated with the given job ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("GetJobRunsForJob")]
public IActionResult GetJobRunsForJob(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("GetJobRunsForJob")>
Public Function GetJobRunsForJob (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"GetJobRunsForJob")]
IActionResult^ GetJobRunsForJob(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("GetJobRunsForJob")>]
member GetJobRunsForJob :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The job ID that the job runs are associated with. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
JobRunData objects, or a status code indicating the problem.
See Also